<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:p="http://primefaces.org/ui">
<body>
	<ui:composition>
		<p:separator />
		<div class="row box-mb">
			<div class="col-sm-12">
				<label class="control-label">
					<b>
						<ui:insert name="seccion_datos_personales_titulo">
							<div>DATOS PERSONALES</div>
						</ui:insert>
					</b>
				</label>
			</div>
		</div>
		<div class="row box-mb">
			<p:fieldset>
				<fieldset>
					<p:panel id="DatosPersonalesPanel" style="border: 0px solid #EDEDED;">
						<div class="row box-mb">
							<div class="col-sm-4">
								<ui:insert name="seccion_datos_personales_campo_tipo_documento_identidad">
							      	<h:outputLabel 	for="tipoDocumentoIdentidadNombre" value="Tipo de Documento: " styleClass="control-label"></h:outputLabel><span class="style_requerido">*</span>                                        
							      	<p:inputText  value="#{bandejaSalaDelUsuarioMB.request.user.tipoDocumentoIdentidadNombre}" id="tipoDocumentoIdentidadNombre" readonly="true" maxlength="30" required="false" styleClass="form-control" tabindex="1"/>							
								</ui:insert>
							</div>
							<div class="col-sm-4">
								<ui:insert name="seccion_datos_personales_campo_numero_documento_identidad">
									<h:outputLabel 	for="numeroDocumentoIdentidad" value="Número de Documento: " styleClass="control-label"></h:outputLabel><span class="style_requerido">*</span>                                        
									<p:selectOneMenu id="cmbPaisPasaporte" rendered="#{bandejaSalaDelUsuarioMB.showTipoDocumentoPasaporte}" disabled="#{bandejaSalaDelUsuarioMB.request.id>0}" value="#{bandejaSalaDelUsuarioMB.request.user.codPaisPasaporte}" styleClass="form-control style-select">
										<f:selectItem itemLabel="--- País ---" itemValue="0" />
										<f:selectItems value="#{bandejaSalaDelUsuarioMB.lstPais}" var="tabla" itemValue="#{tabla.codPais}" itemLabel="#{tabla.nombrePais}" />													 
									</p:selectOneMenu>	
							      	<p:inputText  value="#{bandejaSalaDelUsuarioMB.request.user.numeroDocumentoIdentidad}" id="numeroDocumentoIdentidad" style="text-transform: uppercase;" readonly="#{bandejaSalaDelUsuarioMB.readOnlyTipoDocumentoPasaporte}" onkeypress="return validatecla('alfanumerico', this)" maxlength="12" required="false" styleClass="form-control" tabindex="1"/>
								</ui:insert>
							</div>
							<div class="col-sm-4">
								<ui:insert name="seccion_datos_personales_campo_nombre">
									<h:outputLabel for="nombres" value="Nombres : " styleClass="control-label"></h:outputLabel><span class="style_requerido">*</span>
									<p:inputText 	value="#{bandejaSalaDelUsuarioMB.request.user.nombre}" id="nombres" style="text-transform: uppercase;" readonly="#{bandejaSalaDelUsuarioMB.readOnlyTipoDocumentoPasaporte}" maxlength="30" required="false" styleClass="form-control" tabindex="1" />	
								</ui:insert>
							</div>
						</div>
						<div class="row box-mb">
							<div class="col-sm-4">
								<ui:insert name="seccion_datos_personales_campo_apellido_paterno">
									<h:outputLabel for="apellidoPaterno" value="Apellido Paterno : " styleClass="control-label"></h:outputLabel><span class="style_requerido">*</span>
									<p:inputText 	value="#{bandejaSalaDelUsuarioMB.request.user.apellidoPaterno}" id="apellidoPaterno" style="text-transform: uppercase;" readonly="#{bandejaSalaDelUsuarioMB.readOnlyTipoDocumentoPasaporte}" maxlength="30" required="false" styleClass="form-control" tabindex="1" />	
								</ui:insert>
							</div>
							<div class="col-sm-4">
								<ui:insert name="seccion_datos_personales_campo_apellido_materno">
									<h:outputLabel for="apellidoMaterno" value="Apellido Materno : " styleClass="control-label"></h:outputLabel><span class="style_requerido">*</span>
									<p:inputText 	value="#{bandejaSalaDelUsuarioMB.request.user.apellidoMaterno}" id="apellidoMaterno" style="text-transform: uppercase;" readonly="#{bandejaSalaDelUsuarioMB.readOnlyTipoDocumentoPasaporte}" maxlength="30" required="false" styleClass="form-control" tabindex="1" />	
								</ui:insert>
							</div>
							<div class="col-sm-4">
								<ui:insert name="seccion_datos_personales_campo_fecha_nacimiento">
									<h:outputLabel for="fechaNacimiento" value="Fecha Nacimiento : " styleClass="control-label"></h:outputLabel><span class="style_requerido">*</span>
									<div class="input-group">
									<p:calendar value="#{bandejaSalaDelUsuarioMB.request.user.fechaNacimiento}" id="fechaNacimiento" popupIconOnly="true"  pattern="dd/MM/yyyy" widgetVar="wvfechaNacimiento" locale="es" maxdate="#{bandejaSalaDelUsuarioMB.fechaActual}" />
								    <span class="input-group-addon"><span class="fa fa-calendar-o"></span></span>		
									</div>
								</ui:insert>
							</div>
						</div>
						<div class="row box-mb">
							<div class="col-sm-4">
								<ui:insert name="seccion_datos_personales_campo_sexo">
									<h:outputLabel for="sexo" value="Sexo :" styleClass="control-label" /><span class="style_requerido">*</span>&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;
									<p:selectOneMenu id="sexo" value="#{bandejaSalaDelUsuarioMB.request.user.sexo}" styleClass="form-control style-select">
										<f:selectItem itemValue="0" itemLabel="--- Seleccione --- " />
										<f:selectItem itemValue="M" itemLabel="Masculino" />
										<f:selectItem itemValue="F" itemLabel="Femenino" />
									</p:selectOneMenu>
								</ui:insert>
							</div>
							<div class="col-sm-4">
								<ui:insert name="seccion_datos_personales_campo_nacionalidad">
									<h:outputLabel for="nacionalidadField" value="Nacionalidad : " styleClass="control-label" /><span class="style_requerido">*</span>
									<p:selectOneMenu id="nacionalidadField" value="#{bandejaSalaDelUsuarioMB.request.user.idNacionalidad}" styleClass="form-control style-select">
										<f:selectItem itemValue="0" itemLabel="--- Seleccione --- " />
										<f:selectItems value="#{bandejaSalaDelUsuarioMB.listaNacionalidad}" var="item" itemValue="#{item.codigoRegistro}" itemLabel="#{item.nombreCorto}" />
									</p:selectOneMenu>
								</ui:insert>
							</div>
							<div class="col-sm-4">
								<ui:insert name="seccion_datos_personales_campo_grado_instruccion">
									<h:outputLabel for="gradoInstruccionField" value="Grado de Instrucción : " styleClass="control-label" /><span class="style_requerido">*</span>
									<p:selectOneMenu id="gradoInstruccionField" value="#{bandejaSalaDelUsuarioMB.request.user.idGradoInstruccion}" styleClass="form-control style-select">
										<f:selectItem itemValue="0" itemLabel="--- Seleccione --- " />
										<f:selectItems value="#{bandejaSalaDelUsuarioMB.listaGradoInstruccion}" var="item" itemValue="#{item.codigoRegistro}" itemLabel="#{item.nombreCorto}" />
									</p:selectOneMenu>
								</ui:insert>
							</div>
						</div>						
						<div class="row box-mb">
							<div class="col-sm-5 text-center">
								<ui:insert name="seccion_datos_personales_campo_tipo_foto_reniec">
									<h:panelGroup rendered="#{bandejaSalaDelUsuarioMB.showFotoReniec}">
										<h:outputLabel value="Foto Reniec" styleClass="control-label" />
									<h:commandLink>
										<p:fileDownload value="#{bandejaSalaDelUsuarioMB.streamedContentPhotoReniec}" />
										<i class="fa fa-download"></i>
									</h:commandLink>
										<p:fieldset>
											<fieldset>	
												<p:graphicImage id="attachedUserPhoto"	value="#{bandejaSalaDelUsuarioMB.streamedContentPhotoReniec}" cache="false" />
											</fieldset>
										</p:fieldset>
									</h:panelGroup>
								</ui:insert>
							</div>
							<div class="col-sm-7 ">
								<ui:insert name="seccion_datos_personales_campo_tipo_foto_adjuntada">
									<h:outputLabel id="lblAdjPhoto" for="fileUplAdjPhoto" value="Foto adjuntada: [ #{bandejaSalaDelUsuarioMB.request.user.fotoAdjuntada.fileName} ]" styleClass="control-label" />
									<h:commandLink>
										<p:fileDownload value="#{bandejaSalaDelUsuarioMB.streamedContentPhotoAdjuntada}" />
										<i class="fa fa-download"></i>
									</h:commandLink>									
									<p:fieldset>
										<fieldset>	
											<p:graphicImage id="fotoUsuario" value="#{bandejaSalaDelUsuarioMB.streamedContentPhotoAdjuntada}" styleClass="img-responsive" cache="false" />
											<p:fileUpload id="fileUplAdjPhoto" 
												fileUploadListener="#{bandejaSalaDelUsuarioMB.handleFileUploadPhoto}" 
												mode="advanced" dragDropSupport="false" auto="true"
												label="Adjuntar foto actual" uploadLabel="Subir" cancelLabel="Cancelar"
												update="lblAdjPhoto,fotoUsuario" sizeLimit="350000000" fileLimit="1" 
												allowTypes="/(\.|\/)(gif|png|jpeg|jpg)$/"
												invalidSizeMessage="El archivo que intenta subir supera el tamaño máximo permitido."
												invalidFileMessage="Tipo de archivo Inválido. Solo se permite adjuntar archivos Word, Excel y PDF."
												fileLimitMessage="Excedió el número de archivos permitidos." />
										</fieldset>
									</p:fieldset>
								</ui:insert>
							</div>
						</div>
					</p:panel>
				</fieldset>
			</p:fieldset>
		</div>
	</ui:composition>
</body>
</html>